Index: /code/trunk/src/modules/questsystem/effects/CompleteQuest.cc
===================================================================
--- /code/trunk/src/modules/questsystem/effects/CompleteQuest.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/CompleteQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file CompleteQuest.cc
     @brief Implementation of the CompleteQuest class.
 */
@@ -36,6 +36,7 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
+#include "questsystem/Quest.h"
 #include "questsystem/QuestManager.h"
-#include "questsystem/Quest.h"
 
 namespace orxonox
@@ -58,4 +59,5 @@
     CompleteQuest::~CompleteQuest()
     {
+
     }
 
@@ -81,5 +83,6 @@
     bool CompleteQuest::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< You know, what we think of NULL-pointers...
+        //TODO: Replace with assert?
+        if(player == NULL) // You know, what we think of NULL-pointers...
         {
             COUT(2) << "Input player is NULL." << std::endl;
@@ -95,7 +98,5 @@
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
             if(quest == NULL || !quest->complete(player))
-            {
                return false;
-            }
         }
         catch(const Exception& e)
Index: /code/trunk/src/modules/questsystem/effects/CompleteQuest.h
===================================================================
--- /code/trunk/src/modules/questsystem/effects/CompleteQuest.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/CompleteQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file CompleteQuest.h
     @brief Definition of the CompleteQuest class.
+    @ingroup QuestEffects
 */
 
@@ -42,8 +43,7 @@
     /**
     @brief
-        Completes a Quest (with a specified id) for the player invoking the QuestEffect.
+        Completes a @ref orxonox::Quest "Quest" (with a specified id) for the player invoking the QuestEffect.
 
         Creating a CompleteQuest through XML goes as follows:
-
         @code
         <CompleteQuest questId="id" />  //Where id identifies the Quest that should be completed.
Index: /code/trunk/src/modules/questsystem/effects/FailQuest.cc
===================================================================
--- /code/trunk/src/modules/questsystem/effects/FailQuest.cc	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/FailQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file FailQuest.cc
     @brief Implementation of the FailQuest class.
 */
@@ -36,6 +36,7 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
+#include "questsystem/Quest.h"
 #include "questsystem/QuestManager.h"
-#include "questsystem/Quest.h"
 
 namespace orxonox
@@ -58,4 +59,5 @@
     FailQuest::~FailQuest()
     {
+
     }
 
@@ -68,5 +70,5 @@
         SUPER(FailQuest, XMLPort, xmlelement, mode);
 
-        COUT(4) << "New FailQUest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
+        COUT(4) << "New FailQuest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
     }
 
@@ -81,5 +83,6 @@
     bool FailQuest::invoke(PlayerInfo* player)
     {
-        if(player == NULL) //!< We don't know what to do with no player.
+        //TODO: Replace with assert?
+        if(player == NULL) // We don't know what to do with no player.
         {
             COUT(2) << "Input player is NULL." << std::endl;
@@ -94,7 +97,5 @@
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
             if(quest == NULL || !quest->fail(player))
-            {
                return false;
-            }
         }
         catch(const Exception& e)
Index: /code/trunk/src/modules/questsystem/effects/FailQuest.h
===================================================================
--- /code/trunk/src/modules/questsystem/effects/FailQuest.h	(revision 7455)
+++ /code/trunk/src/modules/questsystem/effects/FailQuest.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file FailQuest.h
     @brief Definition of the FailQuest class.
+    @ingroup QuestEffects
 */
 
@@ -42,8 +43,7 @@
     /**
     @brief
-        Fails a quest (with a specified id) for the player invoking the QuestEffect.
+        Fails a @ref orxonox::Quest "Quest" (with a specified id) for the player invoking the QuestEffect.
 
         Creating a FailQuest through XML goes as follows:
-
         @code
         <FailQuest questId="id" />  //Where id identifies the Quest that should be failed.
Index: /code/trunk/src/orxonox/interfaces/PickupCarrier.h
===================================================================
--- /code/trunk/src/orxonox/interfaces/PickupCarrier.h	(revision 7455)
+++ /code/trunk/src/orxonox/interfaces/PickupCarrier.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file PickupCarrier.h
     @brief Definition of the PickupCarrier class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/orxonox/interfaces/Pickupable.h
===================================================================
--- /code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 7455)
+++ /code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file Pickupable.h
     @brief Definition of the Pickupable class.
+    @ingroup Pickup
 */
 
Index: /code/trunk/src/orxonox/pickup/PickupIdentifier.h
===================================================================
--- /code/trunk/src/orxonox/pickup/PickupIdentifier.h	(revision 7455)
+++ /code/trunk/src/orxonox/pickup/PickupIdentifier.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file PickupIdentifier.h
     @brief Definition of the PickupIdentifier class.
+    @ingroup Pickup
 */
 
